$(document).ready(function(){
//关键词生成
$("#create").click(function(){
	if($("#area").val()==""&&$("#kw").val()==""&&$("#kz").val()==""&&$("#fz").val()==""){
		alert("关键词组成部分不能全为空");
		return false;
		}
	$("#createdkw").show();
	var area=$("#area").val().split(",");
	var kw=$("#kw").val().split(",");
	var kz=$("#kz").val().split(",");
	var fz=$("#fz").val().split(",");
	var alen=area.length;
	var kwlen=kw.length;
	var kzlen=kz.length;
	var fzlen=fz.length;
	var dh="<li>地区+核心关键词</li>";
	var dhk="<li>地区+核心关键词+扩展词</li>";
	var dfh="<li>地区+辅助词+核心关键词</li>";
	var dfhk="<li>地区+辅助词+核心关键词+扩展词</li>";
	//地区+核心
	for(var i=0;i<alen;i++){
		for(var j=0;j<kwlen;j++){
			var keyword=area[i]+kw[j];
			dh += "<li><input type='checkbox' name='keyword' value="+keyword+">"+keyword+"</li>";
			}
		}
		$("#dh").html(dh);
	//地区+核心+扩展词
	for(var i=0;i<alen;i++){
		for(var j=0;j<kwlen;j++){
			for(var k=0;k<kzlen;k++){
				var keyword=area[i]+kw[j]+kz[k];
				dhk += "<li><input type='checkbox' name='keyword' value="+keyword+">"+keyword+"</li>";
				}
			}
		}	
		$("#dhk").html(dhk);
	//地区+辅助+核心
	for(var i=0;i<alen;i++){
		for(var j=0;j<fzlen;j++){
			for(var k=0;k<kwlen;k++){
				var keyword=area[i]+fz[j]+kw[k];
				dfh += "<li><input type='checkbox' name='keyword' value="+keyword+">"+keyword+"</li>";
				}
			}
		}
		$("#dfh").html(dfh);
	//地区+辅助+核心+扩展
	for(var i=0;i<alen;i++){
		for(var j=0;j<fzlen;j++){
			for(var k=0;k<kwlen;k++){
				for(var l=0;l<kzlen;l++){
				    var keyword=area[i]+fz[j]+kw[k]+kz[l];
				    dfhk += "<li><input type='checkbox' name='keyword' value="+keyword+">"+keyword+"</li>";
				  }
				}
			}
		}
		$("#dfhk").html(dfhk);
							});						   
						   
	//重置
	$("#reset,#cancel").click(function(){
		$("#area").val("");
		$("#kw").val("");
		$("#kz").val("");
		$("#fz").val("");
		$("#createdkw").hide();
							   });
	//添加
	$("#adds").click(function(){
		var keyword=getkws();
		if(keyword==""){
			alert("请选择关键词");
			return false;
			}
		var area=$("#area").val();
		$.post("../gjzpmjc/add_action.php",{kw:keyword,area:area},function(data){
							alert(data);	
							window.location.href="../gjzplsc/index.php";													   });
							 });
		
		
						   });

//获取选中项ID
function getkws(){
     var checkbox= document.getElementsByName("keyword");
     var checkid = "";
	 var len=checkbox.length;
   for( var i=0;i<len;i++ ){
    if(checkbox[i].checked ){
    checkid += checkbox[i].value+',';
    }
   }
   checkid = checkid.substr(0,checkid.length-1);
   return checkid;
	 }